#!/usr/bin/env python3.12

from dataclasses import dataclass, asdict

@dataclass
class LyricsResult:
    """Class for returned Lyrics Results"""
    artist: str
    song: str
    src: str
    lyrics: str
    confidence: int
    time: float = 0.00

    def dict(self):
        """Return as dict"""
        return {k: str(v) for k, v in asdict(self).items()}    